Skip to main content

Share payment bundle alone with procedures of the patient

Share payment bundle alone with procedures of the patient. The HIP will sent the payment bundle to HIU.

POST/api/hiecm/scan-gateway/v3/patient/on-selection

Header

AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]

REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]

TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]

X-CM-ID consent manager ID[ Example: sbx ]

Request Body

intent This is a key value pair which contains the purpose [ Example: type: PAYMENT_ORDER ]

openOrderRequestId from the share open order requestId [ Example: 059fcb69-****-4789-a049-62db16c7b5a0 ]

abhaAddress of the user/patient

error is optional object in case of any error or Failure then only send error object

Procedures which contains the list of open order

paymentBundle which contains payments details

response which contains the requestId [ Example: requestId: 059fcb69-8ad8-4789-a049-62db16c7b5a0 ]

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

REQUEST-IDstringRequired

Unique UUID for track the end to end request transaction

TIMESTAMPstringRequired

Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds.

X-CM-IDstringRequired

Suffix of the consent manager to which the request was intended

Responses

400

Bad Request

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - no mapping found to the resp.requestId cache. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
401

Unauthorized

Everything returns 401

codestring

900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestring
descriptionstring
429

Too Many Requests

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2429 - Too Many Requests found. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
500

Internal Server Error

Error codes for this module

errorobject

The error code and message, if any occurred.

error.codestringRequired

ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

error.messagestringRequired
503

Service Unavailable

Error codes for this module

codestringRequired

ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.

messagestringRequired

Callbacks​

  • You make this call in reply to This is the call back api for the selection API. This API needs to implement by HIP to receive all selected open order ., which ABDM posts to /v3/patient/selection. Open the callback.